cURL
curl --request POST \ --url https://api.leanpay.fr/v1/public/credit-notes \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "reference": "<string>", "amount": 1, "netAmount": 1, "issueDate": "2023-12-25", "dueDate": "2023-12-25", "externalId": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "externalId": "<string>", "reference": "<string>", "amount": 123, "remainingAmount": 123, "paybackAmount": 123, "deductedAmount": 123, "issueDate": "2023-11-07T05:31:56Z", "paybacks": [ { "date": "2023-11-07T05:31:56Z", "amount": 1, "defaultCurrencyAmount": 1, "externalId": "<string>" } ], "invoiceLinks": [ { "date": "2023-11-07T05:31:56Z", "amount": 1, "defaultCurrencyAmount": 1, "externalId": "<string>", "invoice": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "externalId": "<string>" } } ], "status": "available", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }
Credit note object to import
80
x >= 0
Returns the imported credit note
Show child attributes
Credit note status
available
deducted
disputed
recovery